package trans;

import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;
import javax.transaction.UserTransaction;


public class Client {

	public static void main(String[] args) throws Exception{

		InitialContext ctx = new InitialContext();
		TransHome home = (TransHome)PortableRemoteObject.narrow(
			ctx.lookup("TransEJB"), TransHome.class);
			
		Trans trans = home.create();		

		UserTransaction ut = (UserTransaction)ctx.lookup("java:comp/UserTransaction");

		ut.begin();

		trans.doRequired();
		//trans.doRequiresNew();
		//trans.doMandatory();
		//trans.doSupports();
		//trans.doNotSupported();
		//trans.doNever();

		ut.commit();
		
		System.out.println("END");

	}

}
