package trans;

import java.rmi.RemoteException;
import javax.ejb.*;


public class TransBean implements SessionBean{

	public void ejbCreate() throws CreateException{
	}

	public void doRequired(){
		log("doRequired");
	}
	
	public void doRequiresNew(){
		log("doRequiresNew");
	}
	
	public void doMandatory(){
		log("doMandatory");
	}
	
	public void doNotSupported(){
		log("doNotSupported");
	}
	
	public void doSupports(){
		log("doSupports");
	}
	
	public void doNever(){
		log("doNever");
	}

	private void log(Object message){
		System.out.println(message);
	}



	/**
	 * @see javax.ejb.SessionBean#ejbActivate()
	 */
	public void ejbActivate() throws EJBException, RemoteException {
	}

	/**
	 * @see javax.ejb.SessionBean#ejbPassivate()
	 */
	public void ejbPassivate() throws EJBException, RemoteException {
	}

	/**
	 * @see javax.ejb.SessionBean#ejbRemove()
	 */
	public void ejbRemove() throws EJBException, RemoteException {
	}

	/**
	 * @see javax.ejb.SessionBean#setSessionContext(SessionContext)
	 */
	public void setSessionContext(SessionContext arg0)
		throws EJBException, RemoteException {
	}

}
